Page MenuHomePhabricator

PDF rendering should treat </includeonly > as </includeonly>
Open, LowestPublic

Description

When using a book rendered under the above URL
Sources section contains just "</includeonly>"

This is most probably just a buggy {{interview}}
template (or one of the other included ones),
but nevertheless MediaWiki parser does not has
this problem.


Version: master
Severity: normal
URL: https://en.wikinews.org/wiki/Wikinews:Books/Interviews_with_Paralympians

Details

Reference
bz45095

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 1:34 AM
bzimport added a project: Collection.
bzimport set Reference to bz45095.
bzimport added a subscriber: Unknown Object (MLST).
saper created this task.Feb 17 2013, 1:24 PM

I think this edit [1] fixes it.

I cannot test it because the book page has been deleted now :(

Marcin, could you please check if the problem is still happening (if reproducible in any other book)?


[1] https://en.wikinews.org/w/index.php?title=Template:Interview&diff=1811458&oldid=1562854

saper added a comment.Feb 17 2013, 2:26 PM

Not sure about the above comment (I reproduced it using {{Archive}}, not {{Internview}}), but this was caused by this template https://en.wikinews.org/w/index.php?title=Template:Archived&oldid=1063703 which had "</includeonly >" with space after the tag name within the tag.

Not closing as FIXED because that should be improved in the renderer anyway, but the workaround is simple.

saper added a comment.Feb 17 2013, 2:32 PM

(In reply to comment #1)

I think this edit [1] fixes it.

No, I just checked - {{Interview}} was not causing this, I just tested it using

https://en.wikinews.org/wiki/Template:InterviewTest (which is basically https://en.wikinews.org/w/index.php?title=Template:Interview&oldid=1562854 - the version befoure your changed) and https://en.wikinews.org/wiki/User:Saper/zzz

Both the old version and your fixed version do not cause the trouble described.

saper added a comment.Feb 17 2013, 2:34 PM

Worked around in the template, setting priority to "lowest" instead of FIXED, since it should be done in the renderer.

ovasileva moved this task from Triage to Tracking on the Proton board.Sep 14 2017, 3:50 PM
Jhernandez edited projects, added PDF-Rendering; removed Proton.Feb 25 2019, 7:07 PM
TheDJ added a subscriber: TheDJ.Jun 4 2019, 2:54 PM

This is not an issue with current Proton PDF rendering. Only existed in either OCG-PDFRenderer or maybe even only in the pediapress PDF rendering.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 4 2019, 2:54 PM